%define _unpackaged_files_terminate_build 0
%define phpvar /var/lib/php56
Summary: Common files for PHP 5.6
Summary(ko): PHP 5.6에서 공통적으로 필요한 파일
Name: php56-common
Version: 5.6.17
Release: 3%{?dist}
Epoch: 100
License: PHP
Group: System Environment/AnNyung
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Source0: php.conf
Source1: php.ini
Source2: php-cli.ini
Source3: php-fcgi.ini
Source4: php-shared.ini
Source5: php-53compatible.ini
Source100: disable_functions.php
Obsoletes: php56api < 5.6

%description
The php-common package contains files used by both the php
package and the php-cli package.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

#{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{apache,cli}
#{__mkdir_p} %{buildroot}%{_datadir}/php/pear

#install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/httpd/conf.d/php.conf
#install -m444 %{SOURCE1} %{buildroot}%{_sysconfdir}/php56.d/
install -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php56.d/
#install -m444 %{SOURCE3} %{buildroot}%{_sysconfdir}/php56.d/php-cgi-fcgi.ini
#install -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php56.d/fpm/SHARED.ini
install -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php56.d/cli/SHARED.ini
#install -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/php56.d/fpm/php53compatible.ini
install -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/php56.d/cli/php53compatible.ini

#install -m644 %{SOURCE100} %{buildroot}%{_datadir}/php/pear/disable_functions.php

%{__mkdir_p} %{buildroot}%{phpvar}/{sessions,tmp,bin}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/php56.d
#dir /etc/php.d/fpm
%dir /etc/php56.d/cli
#config(noreplace) /etc/httpd/conf.d/php56.conf
#config(noreplace) /etc/php56.d/php.ini
%config(noreplace) /etc/php56.d/php-cli.ini
#config(noreplace) /etc/php.d/php-cgi-fcgi.ini
#config(noreplace) /etc/php56.d/fpm/*.ini
%config(noreplace) /etc/php56.d/cli/*.ini
#{_datadir}/php/pear/disable_functions.php

%attr(755,nobody,nobody) %dir %{phpvar}/sessions
%attr(1777,root,root) %dir %{phpvar}/tmp
%attr(755,root,root) %dir %{phpvar}/bin

%changelog
* Tue Aug 16 2016 JoungKyun.Kim <http://oops.org> 100:5.6.17-3%{?dist}
- rollback default_charset to UTF-8

* Sun Aug 14 2016 JoungKyun.Kim <http://oops.org> 100:5.6.17-2%{?dist}
- change value of default_charset to none from UTF-8

* Thu Jan 14 2016 JoungKyun.Kim <http://oops.org> 100:5.6.17-1%{?dist}
- 1st packaged

